Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04533 Sound Minor Always Nov 18, 2011, 01:18 Dec 24, 2020, 18:07
Tester retrorepair View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows Vista/7 (64-bit)
Status [?] Confirmed Driver seibuspi.cpp
Version 0.144 Fixed in Version Build Normal
Fixed in Git Commit Github Pull Request #
Summary 04533: viprp1: Title Screen SFX and item collection SFX are incorrect
Description The sound effect that "pings" when the game logo comes together from the top and bottom of the screen and when the "1" appears on the title screen is incorrect.

The same sound occurs ingame when you collect an item.

Check this video (only one I can find for reference) at 30 second in for how it shoud sound (turn your speakers up):



I do recall hearing the same oddity in Raiden Fighters but I cannot find it to reproduce it now.
Steps To Reproduce
Additional Information It's clear the sound is created currectly by the synth however it strikes me that it should be a sample. The synth may call the sample, it may not but the current sound none the less is incorrect.
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems viprp1
Attached Files
mp3 file icon Viper Phase 1 01.mp3 (320,441 bytes) Nov 18, 2011, 02:45 Uploaded by Fujix
Viper Phase I, PCB recording
mp3 file icon Viper Phase 1 02.mp3 (3,563,649 bytes) Nov 18, 2011, 02:46 Uploaded by Fujix
Viper Phase I, PCB recording
mp3 file icon Viper Phase 1 03.mp3 (1,645,225 bytes) Nov 18, 2011, 02:46 Uploaded by Fujix
Viper Phase I, PCB recording
mp3 file icon Viper Phase 1 04.mp3 (240,558 bytes) Nov 18, 2011, 02:47 Uploaded by Fujix
Viper Phase I, PCB recording
mp3 file icon Viper Phase 1 05.mp3 (3,220,583 bytes) Nov 18, 2011, 02:47 Uploaded by Fujix
Viper Phase I, PCB recording
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.07887
Tafoid
Administrator
Nov 18, 2011, 02:08
All games using YM271-F and YMZ280 audio are clearly labeled in MAME as not having perfect sound and you should be seeing a yellow or red warning screen when you type OK. Such games with a flag the developers do not normally want nor accept bug reports for, as they are already quite aware that the sound cores in these games are not 100% accurate.

However, in order to take this as a report, we are allowed to take original documentation, which you are attempting here. This is obviously NOT your recording, but you likely have a PCB of your own? Frankly, the audio quality here is terrible and while I can make out the issue, it doesn't serve as an adequate reference to be accepted. We need a directly recording line-in from the PCB to best give the developers a decent reference as to volume/pitch and balance.
User avatar
No.07888
retrorepair
Tester
Nov 18, 2011, 02:33
Understood. I was hesitant to even submit this but having spoken to a dev who told me I should, I did.

I have sold my own board but I do know someone who owns it, I will try my best to get a recording from him and post that. It is a pretty awful reference. I did try to take a look at the PCM rom file to see if I can pull the sample out of that but it's either encrypted or encoded.

I'll post if I can find a better reference and thanks for the advice.
User avatar
No.07889
Fujix
Administrator
Nov 18, 2011, 02:52
edited on: Nov 18, 2011, 03:29
I uploaded some BGM mp3s my friend recorded directly from a Viper Phase I PCB. They may help the future development of the YMF271 chip.

They were recorded in 2003, and not from the Sound Track CD released in 2005.
User avatar
No.07890
retrorepair
Tester
Nov 18, 2011, 04:26
edited on: Nov 18, 2011, 05:01
Here is a sample from the superplay of the PCB: http://www.inhgroup.com/image/item/viper/viper_sample03.wmv

And here is direct footage taken from the PCB at power on: http://www.super-play.co.uk/file.php/623/Alamone_ViperPhase1_NVtoStage5.avi (I tried to upload it but it's 85mb and my efforts to edit it down failed).

That should be all that's needed, along with the MP3s above.
User avatar
No.07891
Haze
Senior Tester
Nov 18, 2011, 05:57
edited on: Nov 18, 2011, 05:57
I asked him to report it, given the original reference and clear difference. I know the quality wasn't the best, but sometimes it's all the proof somebody needs to actually make improvements ;-)
User avatar
No.18285
retrorepair
Tester
Dec 24, 2020, 18:07
edited on: Dec 26, 2020, 12:30
Almost 10 year bump :)

**moderator says: please don't do that unless you have new information to add